Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Create a new table.
cURL
curl --request POST \ --url https://api.useinvent.com/orgs/tables \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "description": "<string>", "icon": "<string>" } '
import requests url = "https://api.useinvent.com/orgs/tables" payload = { "name": "<string>", "description": "<string>", "icon": "<string>" } headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.text)
const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: JSON.stringify({name: '<string>', description: '<string>', icon: '<string>'}) }; fetch('https://api.useinvent.com/orgs/tables', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.useinvent.com/orgs/tables", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => json_encode([ 'name' => '<string>', 'description' => '<string>', 'icon' => '<string>' ]), CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>", "Content-Type: application/json" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.useinvent.com/orgs/tables" payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"icon\": \"<string>\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.post("https://api.useinvent.com/orgs/tables") .header("Authorization", "Bearer <token>") .header("Content-Type", "application/json") .body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"icon\": \"<string>\"\n}") .asString();
require 'uri' require 'net/http' url = URI("https://api.useinvent.com/orgs/tables") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer <token>' request["Content-Type"] = 'application/json' request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"icon\": \"<string>\"\n}" response = http.request(request) puts response.read_body
{ "id": "<string>", "type": "custom", "name": "Companies", "description": "Companies are organizations that own and manage other organizations.", "icon": "<string>", "color": "red", "display_field_id": "<string>", "archived": true, "position": 123, "fields": [ { "id": "<string>", "table_id": "<string>", "key": "<string>", "type": "id", "schema": { "type": "id", "name": "<string>", "description": "<string>", "optional": true, "array": true, "placeholder": "<string>", "display": { "field": "inline", "container": "grid", "empty": "show" }, "prefix": "<string>" }, "readonly": true, "sortable": true, "groupable_in": [ "table" ], "kind": "system" } ], "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }
Bearer token authentication using your API key
Human-readable name (e.g. "Companies"). 1-128 chars.
1 - 128
Optional long-form description of what the table represents.
512
The emoji of a curated icon a user can pick for a table, view, field, or other entity
Accent color, by name
red
orange
amber
yellow
lime
green
teal
cyan
sky
blue
indigo
violet
purple
fuchsia
pink
rose
neutral
custom
contacts
chats
users
The name of the table.
"Companies"
The description of the table.
"Companies are organizations that own and manage other organizations."
The picked icon. Null renders the default table icon.
The picked icon tint. Null renders the default color.
The id of the display field.
Whether the table is archived.
Manual display order within the org.
Show child attributes
Was this page helpful?